org.eclipse.draw2d

## Class ChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.draw2d.ChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ChangeEvent
    extends java.util.EventObject

An event for property changes. Includes the source of the event as well as the name of the property that has changed.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ChangeEvent(java.lang.Object source)` Constructs a new ChangeEvent with the given object as the source of the event.
`ChangeEvent(java.lang.Object source, java.lang.String property)` Constructs a new ChangeEvent with the given source object and property name.

### Method Summary

Methods
`java.lang.String` `getPropertyName()` Returns the name of the property that has changed.
`protected void` `setPropertyName(java.lang.String string)` Sets the name of the property that has changed.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChangeEvent

    public ChangeEvent(java.lang.Object source)

Constructs a new ChangeEvent with the given object as the source of the event.

Parameters:
  `source` - The source of the event

#### ChangeEvent

    public ChangeEvent(java.lang.Object source,
               java.lang.String property)

Constructs a new ChangeEvent with the given source object and property name.

Parameters:
  `source` - The source of the event
  `property` - The property name

### Method Detail

#### getPropertyName

    public java.lang.String getPropertyName()

Returns the name of the property that has changed.

Returns:
  String the name of the property that has changed

#### setPropertyName

    protected void setPropertyName(java.lang.String string)

Sets the name of the property that has changed.

Parameters:
  `string` - The property name